import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
/**
 * Ampel 3
 * 
 * @author D. Bergmann 
 * @version 2008-05-24
 */
public class AMPEL_Welt extends World
{
  AMPEL a;
  public KREIS rotesLicht, gelbesLicht, gruenesLicht;

  /**
   * Constructor for objects of class AMPEL_Welt.
   * 
   */
    public AMPEL_Welt()
    {    
      super(1, 3, 60);           
      setBackground("cell.jpg");
        
      rotesLicht   = new KREIS("rot");   addObject(rotesLicht,   0, 0);
      gelbesLicht  = new KREIS("gelb");  addObject(gelbesLicht,  0, 1);
      gruenesLicht = new KREIS("gruen"); addObject(gruenesLicht, 0, 2);
      a = new AMPEL(0, rotesLicht, gelbesLicht, gruenesLicht);
    }
    
    public void act()
    {
       a.Schalten(); 
    }
        
    public void reset()
    {
      a.Reset();
    }
}
